
Redmine - Defect #16559

Project custom fields (boolean) doesn't update correctly

2014-04-08 09:55 - Daniel Felix

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.5.1

Description

Hi there,

I'm not sure if this is a misbehavior on our systems, but I tested it without any plugins and I'm able to reproduce it.

I used a Boolean project custom field. After creating it, I try to update it from NULL to TRUE. The update form raised the success

message, even the field value is transmitted to the server (as seen in the log), but the field still shows up as NULL. Is this a

misbehavior a bug from the new custom fields in 2.5?

Best regards,

Daniel

Related issues:

Related to Redmine - Patch #5722: Custom Boolean Fields cannot be set to true New 2010-06-22

History

#1 - 2014-05-02 10:15 - Jean-Philippe Lang

- Resolution set to Cant reproduce

Works for me with 2.5-stable.

I've created a project, created a boolean custom field then went back to project settings and updated the field to TRUE, it was properly saved.

#2 - 2016-12-25 15:03 - Go MAEDA

- Related to Patch #5722: Custom Boolean Fields cannot be set to true added
